LibreOffice: XTopWindow Interface Reference

LibreOffice LibreOffice 24.8 SDK API Reference

Loading...
Searching...
No Matches
XTopWindow Interface Referencepublished

manages the functionality specific for a top window. More...

`import "XTopWindow.idl";`

Inheritance diagram for XTopWindow:

## Public Member Functions
void | addTopWindowListener ([in] com::sun::star::awt::XTopWindowListener xListener)
| adds the specified top window listener to receive window events from this window.
void | removeTopWindowListener ([in] com::sun::star::awt::XTopWindowListener xListener)
| removes the specified top window listener so that it no longer receives window events from this window.
void | toFront ()
| places this window at the top of the stacking order and shows it in front of any other windows.
void | toBack ()
| places this window at the bottom of the stacking order and makes the corresponding adjustment to other visible windows.
void | setMenuBar ([in] com::sun::star::awt::XMenuBar xMenu)
| sets a menu bar.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

manages the functionality specific for a top window.

Developers Guide
  Office Development - Component - Window Interfaces
  Office Development - Frames - Linking Components and Windows
  Office Development - Windows

## Member Function Documentation

## ◆ addTopWindowListener()

void addTopWindowListener | ( | [in] com::sun::star::awt::XTopWindowListener | xListener | ) |

adds the specified top window listener to receive window events from this window.

## ◆ removeTopWindowListener()

void removeTopWindowListener | ( | [in] com::sun::star::awt::XTopWindowListener | xListener | ) |

removes the specified top window listener so that it no longer receives window events from this window.

## ◆ setMenuBar()

void setMenuBar | ( | [in] com::sun::star::awt::XMenuBar | xMenu | ) |

sets a menu bar.

## ◆ toBack()

void toBack | ( |  | ) |

places this window at the bottom of the stacking order and makes the corresponding adjustment to other visible windows.

## ◆ toFront()

void toFront | ( |  | ) |

places this window at the top of the stacking order and shows it in front of any other windows.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XTopWindow.idl